Bug 465501 - ActivationKey.listConfigChannels returns incorrect types
ActivationKey.listConfigChannels returns incorrect types
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Sayli Karmarkar
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2008-10-03 12:12 EDT by Justin Sherrill
Modified: 2015-03-22 21:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:53:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2008-10-03 12:12:03 EDT
ActivationKey.listConfigChannels says it returns:

array:

    * struct - Configuration Channel Type information
          o int "id"
          o string "label"
          o string "name"
          o string "priority"


but in reality it returns:

array:

    * struct - Configuration Channel Type information
          o int "id"
          o string "label"
          o string "name"
          o struct "config_channel_type"
               - String priority
               - int i
               - String name
               - String label



Either the doc needs to be corrected, or the call needs to be fixed
Comment 1 Justin Sherrill 2008-10-29 15:27:05 EDT
4e9c75c..9286ea4
Comment 2 Sayli Karmarkar 2009-01-22 13:38:00 EST
Verified on Satellite-5.3.0-RHEL5-re20081223.1. 
Original documentation error specified doesn't exist and I can see the result as 

[{'description': 'myconfig', 
  'configChannelType': 
        {'priority': 1, 
               'id': 1, 
             'name': 'A general purpose configuration channel', 
            'label': 'normal'}, 
  'label': 'myconfig', 
  'orgId': 1, 
  'id': 1, 
  'name': 'myconfig'}]

However, there is an additional variable "type" in the doc which is not used. Created a new bz #481200 for the same.

~SayliK
Comment 3 wes hayutin 2009-08-13 09:35:17 EDT
release pending
Comment 4 Brandon Perkins 2009-09-10 15:53:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.